namespace Application.Features.Api.Crypto.Orderbook.GetLive;

public sealed record Response(
    decimal TotalAskSize,
    decimal TotalBidSize,
    IReadOnlyList<Response.Unit> Units,
    long Timestamp,
    decimal Level,
    string StreamType
)
{
    public sealed record Unit(
        decimal AskPrice,
        decimal BidPrice,
        decimal AskSize,
        decimal BidSize
    );
}